//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "GroupBoxCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWGroupBoxCtrl::VWGroupBoxCtrl(TControlID id)
: VWControlsContainer( id )
{
}

VWGroupBoxCtrl::~VWGroupBoxCtrl()
{
}

bool VWGroupBoxCtrl::CreateControl(VWDialog* pDlg, const TXString& text, bool bHasFrame/*=true*/)
{
	::GS_CreateGroupBox( gCBP, pDlg->GetControlID(), fControlID, text, bHasFrame );
	return VWControl::CreateControl( pDlg );
}
